dpkg-statoverride(8)

NAZWA
dpkg-statoverride - nadpisywanie właściciela i praw plików

SKŁADNIA
dpkg-statoverride [opcje] --add <użytkownik> <grupa> <tryb> <plik>
dpkg-statoverride [opcje] --remove <plik>
dpkg-statoverride [opcje] --list [<wzorzec-wyszukiwania-nazwy>]

OPIS
`stat overrides' are a way to tell dpkg(1) to use a different owner or mode for a file when a package is installed. (note: I use the word `file' here, but in reality this can be any filesystem object that dpkg handles, including directories, devices, etc.). This can be used to force programs that are normally setuid to be install without a setuid flag, or only executable by a certain group.

dpkg-statoverride jest narzędziem użytkowym do zarządzania listą nadpisań stanu. Ma trzy podstawowe funkcje: dodawania, usuwania i wyświetlania listy takich nadpisań.

OPCJE

--add <użytkownik> <grupa> <tryb> <plik>
    Add an override for <file>. <file> does not need to exist when this command is used; the override will be stored and used later. Users and groups can be specified by their name (for example root or nobody), or by their number by prepending the number with a `#' (for example #0 or #65534). Jeżeli podano opcję --update i <plik> istnieje, to nowy właściciel i prawa zostaną od razu ustawione.

--remove <plik>
    Usuwa nadpisanie <pliku>. Polecenie to nie zmienia stanu <pliku>.

--list [<wzorzec-wyszukiwania-nazwy>]
    Wyświetla wszystkie napisania. Jeżeli podano wzorzec nazwy, to wyjściowa lista będzie zawierać tylko nadpisania pasujące do tego wzorca. Jeżeli nie ma żadnych nadpisań lub żadne nadpisanie nie pasuje do wzorca, to dpkg-statoverride zakończy działanie z kodem błędu 1.

--force
    Wymusza podaną akcję, nawet jeżeli sprawdzenia dokonywane przez program by tego zabroniły. Jest to potrzebne, aby nadpisać istniejące nadpisanie.

--update
    Od razy próbuje zmienić właściciela i prawa pliku, jeżeli ten plik istnieje.

--quiet
    Wyświetla mniej komunikatów o podejmowanych przez program akcjach.

--help
    Show usage information.

--version
    Show program version and copyright.

--admindir
    Zmienia katalog bazy danych dpkg, w którym także jest przechowywany plik statoverride. Domyślnie jest to /var/lib/dpkg.

PLIKI

/var/lib/dpkg/statoverride
    Plik zawierający obecną listę nadpisań stanu w systemie. Zlokalizowany jest w katalogu administracyjnym dpkg, łącznie z innymi plikami ważnymi dla dpkg, takimi jak `status' lub `available'.
    Uwaga: przed zastąpieniem pliku nową wersją, dpkg-statoverride zachowuje starą kopię w pliku z rozszerzeniem "-old".

ZOBACZ TAKŻE
dpkg(1).

AUTOR
Copyright 2000 Wichert Akkerman <wakkerma@debian.org> (mailto:wakkerma@debian.org)

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.